glycin (2.1~beta+ds-0ubuntu3) resolute; urgency=medium

  * d/rules: Disable reftests for QOI image format on s390x
  * d/rules: Add back /usr/share/dpkg/default.mk

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Feb 2026 19:00:14 +0100

glycin (2.1~beta+ds-0ubuntu2) resolute; urgency=medium

  * d/tests: Add explicit dependencies on all required libheif plugins
  * d/rules: Enable build-time tests
  * d/tests: Allow running tests unsandboxed

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Feb 2026 16:03:01 +0100

glycin (2.1~beta+ds-0ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/patch-meson.diff
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
      + d/p/zune-jpeg-0.5.diff
    - Add d/missing-sources-patches to patch vendored sources
  * New upstream release 2.1~beta

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Feb 2026 13:32:06 +0100

glycin (2.0.8-1) unstable; urgency=high

  * New upstream release
  * Cherry-pick patch to support JPEG2000 (Closes: #1111833)
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Feb 2026 18:44:59 -0500

glycin (2.0.7+ds-5ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
      + d/p/zune-jpeg-0.5.diff
  * d/missing-sources-patches: Backport patch to fix LibreOffice crash
    (LP: #2141356)
  * d/missing-sources-patches: Move libglycin logs to stderr
  * Apply patches to vendored rust crates

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Feb 2026 10:53:28 +0100

glycin (2.0.7+ds-5) unstable; urgency=high

  * Build with updated rust-glycin to fix running LibreOffice
    with gdk-pixbuf+glycin (Closes: #1127558)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 19:15:37 -0500

glycin (2.0.7+ds-4ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
      + d/p/zune-jpeg-0.5.diff
  * d/missing-sources-patches: Backport zbus patch to avoid SIGPIPE on loader error
  * Apply patches to vendored rust crates

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 12:02:57 +0100

glycin (2.0.7+ds-4) unstable; urgency=medium

  [ Alessandro Astone ]
  * d/rules: Restore accidentally disabled autopkgtests

  [ Jeremy Bícha ]
  * autopkgtest: Add Depends: librust-serde-yaml-dev
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 17:45:32 -0500

glycin (2.0.7+ds-3ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
      + d/p/zune-jpeg-0.5.diff
  * d/rules: Restore accidentally disabled autopkgtests
  * d/rules: Use gbp-export-orig in vendoring target
  * d/rules: Do not fail when there were no vendoring changes

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 03 Feb 2026 14:48:30 +0100

glycin (2.0.7+ds-3) unstable; urgency=medium

  [ Alessandro Astone ]
  * libglycin-2-dev: Add missing libgio-2.0-dev Depends per pkgconfig

  [ Matthias Geiger ]
  * d/control, d/patches: Build against libheif-rs 2.6.1

 -- Matthias Geiger <werdahias@debian.org>  Sun, 25 Jan 2026 22:47:43 +0100

glycin (2.0.7+ds-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add a nogtk4 build profile

  [ Matthias Geiger ]
  * d/patches: Stop patching async-global-executor

 -- Matthias Geiger <werdahias@debian.org>  Wed, 26 Nov 2025 17:17:34 +0100

glycin (2.0.7+ds-1ubuntu1) resolute; urgency=medium

  * Merge with Debian.
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
      + d/p/zune-jpeg-0.5.diff
  * d/debian/missing-sources-patches: Drop all patches, merged upstream
  * Update vendored rust crates
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 12 Nov 2025 12:19:54 +0100

glycin (2.0.7+ds-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends
  * libglycin-2-dev: Add missing Depends per pkgconfig

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Nov 2025 19:48:19 -0500

glycin (2.0.5+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control: Drop Rules-Requires-Root field
  * d/control: Trim whitespace

 -- Matthias Geiger <werdahias@debian.org>  Sat, 08 Nov 2025 15:22:12 +0100

glycin (2.0.4+ds-2) unstable; urgency=medium

  * Build with rust-image 0.25.7

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Oct 2025 23:55:05 -0400

glycin (2.0.4+ds-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Oct 2025 15:10:29 -0400

glycin (2.0.3+ds-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Refresh for new upstream; stop patching thiserror, nix, zbus
  * d/control: Bump thiserror and zbus dependency
  * d/control: Update B-D for new upstream
  * d/libglycin-2.0.symbols: Add new symbol

 -- Matthias Geiger <werdahias@debian.org>  Sat, 18 Oct 2025 16:33:00 +0200

glycin (2.0.0+ds-3) unstable; urgency=medium

  [ Matthias Geiger ]
  * d/libglycin*.symbols: Add Build-Depends-Package field
  * d/patches, d/control: Build with zune-jpeg 0.5 (thanks to plugwash) (Closes: #1117962)

  [ Peter Michael Green ]
  * Remove upper limit from nix dependency (Closes: #1116334)

  [ Jeremy Bícha ]
  * Build with rust-yeslogic-fontconfig-sys 6 (Closes: #1117940)

 -- Matthias Geiger <werdahias@debian.org>  Mon, 13 Oct 2025 08:55:51 +0200

glycin (2.0.0+ds-2) unstable; urgency=medium

  * Build with latest rust dependencies: libheif-rs, image, png, zune-jpeg

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Sep 2025 09:37:01 -0400

glycin (2.0.0+ds-1ubuntu2) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/rules: Support applying patches to vendored sources
  * debian/missing-sources-patches: Add patches to apply to vendored sources
  * glycin/sandbox: Include upstream patch to run unsandboxed if bwrap fails.
    Related to: LP: #2125226
  * glycin/sandbox: Include patch to handle debian specific bwrap error message
    In debian/ubuntu we have a different message if bwrap fails, due to a
    local patch (the only one!) and that's exactly what glycin checks to
    ensure whether it can run sandboxed.
    So, include the debian wording to the list of the messages that are
    symptoms of a bubblewrap failure. (LP: #2125226)
  * cargo-checksum: Update

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Sep 2025 06:03:36 +0200

glycin (2.0.0+ds-1ubuntu1) questing; urgency=medium

  * Merge with debian. Remaining changes:
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
  * Automate XS-Vendored-Sources-Rust handling
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 11:15:05 +0200

glycin (2.0.0+ds-1) unstable; urgency=medium

  * d/t/control: Also update dependencies for API version 2
  * New upstream release
  * d/copyright: Update Files-Excluded pattern
  * d/watch: Switch to v5
  * d/p/relax-deps: Rebase for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Sat, 13 Sep 2025 18:54:29 +0200

glycin (2.0~rc+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Mon, 08 Sep 2025 17:00:19 +0200

glycin (2.0~rc+ds-1ubuntu1) questing; urgency=medium

  * Merge with debian. Remaining changes:
    - d/tests/control: Rename packages for version 2
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
  * Update vendored rust crates
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 08 Sep 2025 12:01:26 +0200

glycin (2.0~rc+ds-1) experimental; urgency=medium

  [ Matthias Geiger ]
  * New upstream release
  * d/p/relax-deps: Rebase for new upstream
  * d/control: Update build-dependencies
  * d/patches: Add patch relaxing heif dependency
  * d/patches: Adjust patch for glycin-thumbnailer, too
  * Rename all packages for version 2
  * libglycin, libglycin-gtk4: Update symbols files for new API
  * d/copyright: Update FSF address (replace with URL)

  [ Alessandro Astone ]
  * d/p: Drop patches applied upstream
  * d/p/patch-meson.diff: Rebase patch
  * debian: Add glycin-thumbnailers package
  * d/control: libglycin depends on glycin-loaders
  * d/control: Depend on HEIC and AVIF encoders

 -- Matthias Geiger <werdahias@debian.org>  Wed, 03 Sep 2025 13:36:20 +0200

glycin (2.0~beta.2+ds-0ubuntu2) questing; urgency=medium

  * Remove Breaks: shortwave

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 19:35:25 -0400

glycin (1.2.1+ds-3) unstable; urgency=medium

  * d/control, d/patches: Build with libheif-rs 2.0
  * d/control: Bump S-V to 4.7.2, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Sat, 16 Aug 2025 13:02:12 +0200

glycin (2.0~beta.2+ds-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2120186)
  * d/p: Drop patches applied upstream
  * d/p/patch-meson.diff: Rebase patch
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * debian: Rename packages for version 2
  * debian: Add glycin-thumbnailers package
  * d/control: libglycin depends on glycin-loaders
  * d/control: glycin-loaders Breaks loupe and shortwave
  * d/control: Depend on HEIC and AVIF encoders

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Aug 2025 11:43:03 +0200

glycin (1.2.1+ds-2ubuntu1) questing; urgency=medium

  [ Sebastien Bacher ]
  * Vendor the rust crates for Ubuntu
  * Disable patches:
    - d/p/relax-deps.diff
    - d/p/relax-jpeg-xl.diff
    - d/p/tests-serde-yaml.diff

  [ Alessandro Astone ]
  * d/rules: Move cleanup of libteststatic.a to dh_auto_clean
  * d/tests: Run execute_before_dh_auto_build before compiling tests
  * Update vendored rust crates
  * Build-Depends: quilt
  * README.source: Explain that dh-cargo-vendored-sources might not output anything

  [ Jeremy Bícha ]
  * Simplify handling exclusion of .a file
  * README.source: Remove the "general overview"
  * README.source: Add prerequisites
  * README.source: apply patches instead of discussing it
  * Use a custom vendor rule in debian/rules rather than in debian/README.source

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Jul 2025 16:51:33 +0200

glycin (1.2.1+ds-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - explicitly list the libraries listed as required by meson.build

  [ Alessandro Astone ]
  * d/rules: Cleanup misleading execute_before_dh_auto_configure target
  * d/control: Add runtime dependency on bubblewrap
    glycin spawns a subprocess sandboxed by bubblewrap to perform the
    image decoding safely.
  * d/patches, d/rules: Disable cargo tests via meson flag so that we
    can still use it for running autopkgtests
  * d/patches: Use deprecated serde-yaml crate for tests because we
    don't have a Debian package for serde-yaml-ng yet.
  * d/tests: Add autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 08:13:45 -0400

glycin (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends versions
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 13 Apr 2025 09:17:44 -0400

glycin (1.2.0+ds-5) unstable; urgency=medium

  * Fix dh_auto_test syntax
  * Remove obsolete debian/README.Debian
  * Add minimal debian/.editorconfig to work around upstream #133

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 18:56:25 -0400

glycin (1.2.0+ds-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Build-Depends: dh-sequence-gir
  * Add more Build-Depends recommended by dh_girepository
  * Remove unnecessary Provides and add the necessary Provides
  * Remove unnecessary Pre-Depends
  * Add symbols files
  * Release to unstable

  [ Matthias Geiger ]
  * d/rules: Increase test timeout multiplier

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 17:46:14 -0400

glycin (1.2.0+ds-3) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Salsa CI: stop skipping reproducibility test

  [ Marvin W ]
  * Add support to build libglycin/-gtk4 (Closes: #1101918)

 -- Matthias Geiger <werdahias@debian.org>  Thu, 03 Apr 2025 16:45:46 +0200

glycin (1.2.0+ds-2) unstable; urgency=medium

  * d/patches, d/control: Build with jpeg-xl-rs 0.11

 -- Matthias Geiger <werdahias@debian.org>  Sat, 15 Mar 2025 20:39:57 +0100

glycin (1.2.0+ds-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Refresh for new upstream
  * d/control: Bump minumum glycin(-utils) dependency

 -- Matthias Geiger <werdahias@debian.org>  Fri, 14 Mar 2025 22:15:47 +0100

glycin (1.2~rc+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1099233)
  * d/patches: Refresh for new upstream
  * d/control: Update build-dependencies

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Mar 2025 18:25:32 +0100

glycin (1.2~beta.1+ds-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Ignore repotest in Salsa CI

  [ Matthias Geiger ]
  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Thu, 13 Feb 2025 19:44:57 +0100

glycin (1.2~beta.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * d/control: Update dependencies for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Feb 2025 23:41:10 +0100

glycin (1.1.4+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Exclude target/* directory, too

 -- Matthias Geiger <werdahias@debian.org>  Wed, 08 Jan 2025 21:28:36 +0100

glycin (1.1.2+ds-4) unstable; urgency=medium

  * Build with yeslogic-fontconfig-sys 5.0
  * Stop patching env-logger dependency

 -- Matthias Geiger <werdahias@debian.org>  Thu, 02 Jan 2025 13:57:30 +0100

glycin (1.1.2+ds-3) unstable; urgency=medium

  [ Matthias Geiger ]
  * Stop patching jpegxl dependency; build with jpegxl 0.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Dec 2024 14:21:15 -0500

glycin (1.1.2+ds-2) unstable; urgency=medium

  * Add patches to build with jpeg-xl 0.9
  * Build the jpeg-xl loader
  * Update package description
  * Update Homepage etc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 18:18:33 -0500

glycin (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release
  * d/p/relax-deps.diff: Stop patching tokio-stream
  * d/p/relax-deps: Stop patching exr feature for image
  * Add patch header for relax-deps.diff and skip-cargo-test.diff

 -- Matthias Geiger <werdahias@debian.org>  Fri, 06 Dec 2024 00:50:14 +0100

glycin (1.1.1+ds-3) unstable; urgency=medium

  * Source-only upload to unstable (Closes: #1088666, #1081752)
  * d/p/skip-cargo-test.diff: Refresh for new upstream
  * Drop d/patches/relax-png.diff, obsoleted
  * d/p/patch-meson.diff: Refresh for new upstream
  * d/p/disable-exr.diff: Refresh for new upstream
  * Updated watch file to reflect upstream rename
  * Add patch to relax dependencies
  * d/control: Updated build-deps from Cargo.toml for new upstream
  * Amend d/p/patch-meson for correct loader install path

 -- Matthias Geiger <werdahias@debian.org>  Thu, 05 Dec 2024 20:36:12 +0100

glycin (1.1.1+ds-2) unstable; urgency=medium

  * New upstream release with renamed source package

 -- Matthias Geiger <werdahias@debian.org>  Thu, 05 Dec 2024 20:35:20 +0100

glycin-loaders (1.0.1+ds-3) unstable; urgency=medium

  * d/rules: Disable lto on armel/hf since it OOMs otherwise

 -- Matthias Geiger <werdahias@debian.org>  Mon, 19 Aug 2024 17:26:42 +0200

glycin-loaders (1.0.1+ds-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1077449)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 15:08:38 +0200

glycin-loaders (1.0.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * Updated build-dependencies for new upstream version
  * Enable svg support (Closes: #1064387)
  * Bump Standards-Version to 4.7.0; no changes needed
  * Add patch to relax png crate
  * d/copyright: updated copyright years, test image licensing info
  * Enable build-time tests; skip cargo-test as it fails
  * Updated README.debian
  * Updated copyright and d/watch for +ds version since the non-free images got dropped
    upstream

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 14:46:03 +0200

glycin-loaders (0.1.2+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Feb 2024 15:41:19 -0500

glycin-loaders (0.1.2+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #1050853)

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 01 Sep 2023 10:34:10 +0200
